# args[1] : input file (FPKM).
# args[2] : output file.

#----- library -----#
library(amap)
#-------------------#

#----- input -----#
args <- commandArgs(trailingOnly = TRUE)
data <- read.table(args[1], header = T, row.names = 1)
data <- subset(data, rowSums(data) != 0)
N <- nrow(data)
#-----------------#

#----- clustering -----#
d <- Dist(data, method = "pearson")
c <- hclust(d, method = "average")
t <- cutree(c, k = N : 1)
write.table(t, args[2], sep = "\t", col.names = F, quote = F)
#----------------------#
